# Method: services.serviceLevelObjectives.list

- [HTTP request](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.request_body)
- [Response body](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.ListServiceLevelObjectivesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives/list#try-it)

List the `ServiceLevelObjective`s for the given `Service`.

### HTTP request

`GET https://monitoring.googleapis.com/v3/{parent}/serviceLevelObjectives`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Resource name of the parent containing the listed SLOs, either a project or a Monitoring Metrics Scope. The formats are: projects/[PROJECT_ID_OR_NUMBER]/services/[SERVICE_ID] workspaces/[HOST_PROJECT_ID_OR_NUMBER]/services/- |

### Query parameters

| Parameters ||
|---|---|
| `filter` | `string` A filter specifying what `ServiceLevelObjective`s to return. |
| `pageSize` | `integer` A non-negative number that is the maximum number of results to return. When 0, use default page size. |
| `pageToken` | `string` If this field is not empty then it must contain the `nextPageToken` value returned by a previous call to this method. Using this field causes the method to return additional results from the previous method call. |
| `view` | ``enum (`https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/View`)`` View of the `ServiceLevelObjective`s to return. If `DEFAULT`, return each `ServiceLevelObjective` as originally defined. If `EXPLICIT` and the `ServiceLevelObjective` is defined in terms of a `BasicSli`, replace the `BasicSli` with a `RequestBasedSli` spelling out how the SLI is computed. |

### Request body

The request body must be empty.

### Response body

The `serviceLevelObjectives.list` response.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "serviceLevelObjectives": [ { object (`https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives#ServiceLevelObjective`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `serviceLevelObjectives[]` | ``object (`https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/services.serviceLevelObjectives#ServiceLevelObjective`)`` The `ServiceLevelObjective`s matching the specified filter. |
| `nextPageToken` | `string` If there are more results than have been returned, then this field is set to a non-empty value. To see the additional results, use that value as `pageToken` in the next call to this method. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/monitoring`
- `
  https://www.googleapis.com/auth/monitoring.read`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).